Subject: Re: tcsh problem [Update]
From: Chris Faylor <[email-masked]>
To: Axel Riese <[email-masked]>
Cc: Cygwin Mailing List <[email-masked]>
Date: Tue, 7 Mar 2000 13:06:17 -0500

On Tue, Mar 07, 2000 at 08:12:36AM +0100, Axel Riese wrote:
>Dear Chris!
>
>> On Mon, Mar 06, 2000 at 08:31:39AM +0100, Axel Riese wrote:
>> >Meanwhile I played a little bit with tcsh 6.09.00. What I found is that
>> >if I run it under gdb everything works fine, but if I start tcsh from
>> >the Win95 command prompt directly it behaves the way I wrote above.
>> 
>> I'd appreciate it if you'd use the latest snapshot when you do this.
>
>I used the March 4 snapshot and Corinna's port of tcsh.
>
>Here is the output of the command
>
>    strace -otcsh.out tcsh
>
>which runs *forever*:

>**********************************************
>Program name: C:\CYGNUS\CYGWIN-B20\H-I586-CYGWIN32\BIN\TCSH.EXE
>App version:  20.1, api: 0.0
>DLL version:  1001.0, api: 0.17
>DLL build:    2000-03-05 02:21:41
>OS version:   Windows 95-4.0
>Date/Time:    2000-03-06 17:46:21
>**********************************************
>[snip]
> 8325  956431 [main] TCSH 1000 _close: handle 8 not open
> 1763  958194 [main] TCSH 1000 _close: -1 = close (8)
> 1794  959988 [main] TCSH 1000 _close: close (9)
> 8421  968409 [main] TCSH 1000 _close: handle 9 not open
> 1775  970184 [main] TCSH 1000 _close: -1 = close (9)
>--- cut ---
>
>The last 3 lines were repeated with an increasing number until I
>killed the process.

You didn't seem to run tcsh to the point where it manifested the problem.
tcsh does do a lot of closes.  I don't know why it does that but it
appears to be normal operation.

This strace log is essentially showing tcsh starting up.  It doesn't show
anything about running a program and seeing a hang.

cgf

--
Want to unsubscribe from this list?
Send a message to [email-masked]